2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* WelcomePageView.cs: More dialog placing.

2010-05-12  Michael Hutchinson  <mhutchinson@novell.com>

	* WelcomePageView.cs: Use async web request instead of a
	  thread.

2010-05-12  Michael Hutchinson  <mhutchinson@novell.com>

	* WelcomePageWidget.cs: Fix a couple of races.

2010-05-12  Michael Hutchinson  <mhutchinson@novell.com>

	* WelcomePageView.cs:
	* WelcomePageCommands.cs:
	* WelcomePageOptionPanel.cs: Move settings to a class.

2010-05-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* WelcomePage.csproj:
	* WelcomePageCommands.cs:
	* WelcomePageOptionPanel.cs: Added option for closing welcome
	  page after opening a solution.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* WelcomePageWidget.cs: Delay project service loading -
	  replacing the file format check with a simple extension
	  check.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* WelcomePage.addin.xml: Bumped MD version.

2010-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePageView.cs: Use the new status bar model.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* WelcomePage.csproj:
	* gtk-gui/gui.stetic:
	* WelcomePageView.cs:
	* WelcomePageWidget.cs:
	* WelcomePage.addin.xml:
	* WelcomePageCommands.cs:
	* WelcomePageOptionPanel.cs: Merged MD.Projects into MD.Core,
	  and MD.Projects.Gui, MD.Core.Gui and MD.Components into
	  MD.Ide.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePageView.cs: Track api changes.

2010-02-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* WelcomePage.csproj: Restore makefile integration.

2010-02-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* WelcomePage.xsl:
	* WelcomePage.css:
	* gtk-gui/gui.stetic:
	* WelcomePageView.cs:
	* WelcomePage.csproj:
	* gtk-gui/objects.xml:
	* WelcomePageWidget.cs:
	* XslGettextCatalog.cs:
	* WelcomePageCommands.cs:
	* WelcomePageFallbackWidget.cs:
	* gtk-gui/MonoDevelop.WelcomePage.WelcomePageWidget.cs:
	* gtk-gui/MonoDevelop.WelcomePage.WelcomePageFallbackWidget.cs:
	  Remove the dead HTML abstraction.

2010-02-12  Michael Hutchinson  <mhutchinson@novell.com>

	* md-bg.png:
	* md-logo.png:
	* Makefile.am:
	* mono-bg.png:
	* mono-logo.png:
	* WelcomePage.csproj:
	* mono-decoration.png:
	* WelcomePageFallbackWidget.cs: Split up the bg image so it
	  can be rendered full width no matter how wide window is.
	  Remove unused images.

	* gtk-gui/gui.stetic: Flush.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.WelcomePage.WelcomePageFallbackWidget.cs:
	  Flush.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* WelcomePage.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePage.csproj:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.WelcomePage.WelcomePageFallbackWidget.cs:
	  Flush.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* WelcomePage.addin.xml: Bump MD version.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePageView.cs: New update thread should be Background.

2009-09-17  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePageView.cs: Get news from a new location.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* WelcomePageView.cs: Make message dialog transient to the root
	  window.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* WelcomePageFallbackWidget.cs: Fixed warnings.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePage.csproj: Updated dependencies. We now depend on
	  gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-07-23  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePageFallbackWidget.cs: Fix file access issue.

2009-07-23  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePageFallbackWidget.cs: Fixed missing welcome page
	  when start up path contains cyrillic letters. Based on a
	  patch by Aleksei VK.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePageView.cs: Use the new DesktopService instead of
	  PlatformService.

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePageView.cs:
	* WelcomePageFallbackWidget.cs: Properly get the path to the
	  background image. It was unix-specific.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* WelcomePageFallbackWidget.cs: Renamed PixbufService to
	  ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* WelcomePageFallbackWidget.cs: Track API changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* WelcomePage.csproj: don't require specific gtk-sharp version.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* WelcomePageView.cs:
	* WelcomePageFallbackWidget.cs: Worked on recent open.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* WelcomePage.addin.xml: Bump MD version.

2009-04-06  Michael Hutchinson  <mhutchinson@novell.com>

	* WelcomePage.xsl: Make XML valid.

2009-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* mono-bg.png:
	* WelcomePageView.cs:
	* XslGettextCatalog.cs:
	* WelcomePageContent.xml:
	* WelcomePageFallbackWidget.cs: New art for the welcome page.

	* Makefile.am:
	* WelcomePage.csproj:
	* WelcomePageBrowser.cs: Remove unused classes.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* WelcomePageFallbackWidget.cs: Translation fixes. Patch from
	  Kriván Bálint.

2009-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.WelcomePage.WelcomePageFallbackWidget.cs:
	  Flush.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* WelcomePage.csproj: Make implicit references explicit. Csc
	  is much pickier about these.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePage.mdp:
	* WelcomePage.csproj: Migrated to MSBuild file format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePageContent.xml: Added Report Bug link.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* WelcomePage.addin.xml: Bump MD version.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* WelcomePage.mdp: Flush project format changes.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePage.mdp: All projects now require fx 3.5.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePage.mdp: Don't require a specific version of Mono.Addins.

2008-12-04  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* WelcomePageView.cs: Fix for bug#456670.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* WelcomePage.mdp:
	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePage.addin.xml: Bump MD version.

2008-10-28  Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePageFallbackWidget.cs: Disable the welcome page while projects
	are loading.

2008-10-21  Michael Hutchinson  <mhutchinson@novell.com>

	* WelcomePageFallbackWidget.cs: Remove unnecessary check.

2008-10-20  Michael Hutchinson  <mhutchinson@novell.com>

	* WelcomePageFallbackWidget.cs: Add error handling for recent solution
	not existing. Fixes "Bug 437120 - Recent solutions list does not
	handle DirectoryNotFoundException gracefully".

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.mdp: Updated projects.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.WelcomePage.WelcomePageFallbackWidget.cs:
	  Updated generated code.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* WelcomePage.mdp: Removed some parts of the documentation service.

2008-07-05  Zach Lute <zach.lute@gmail.com> 

	* WelcomePageView.cs: Welcome page no longer shows 'Open solution'
	  status bar message for non-solution links.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.addin.xml: Bump MD version.

2008-05-28  Michael Hutchinson <mhutchinson@novell.com> 

	* WelcomePageView.cs, WelcomePageOptionPanel.cs, WelcomePage.mdp,
	  Makefile.am: Add an option to disable online updating. Fixes bug
	  #323870.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePageFallbackWidget.cs, WelcomePageView.cs,
	  WelcomePageBrowser.cs, gtk-gui/objects.xml: New project model
	  changes.

2008-03-07  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.addin.xml, WelcomePageOptionPanel.cs: Use new options
	  dialog infrastructure.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* WelcomePageView.cs: Refactored status bar.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* WelcomePage.mdp, Makefile.am: Removed some unused glade and gnome-sharp
	  references (only the unused). But I'll continue to remove glade, we need
	  to lower the dependency tree a bit.

2008-02-14  Geoff Norton  <gnorton@novell.com>

	* WelcomePageView.cs: Ensure that we dont try to read more bytes
	than available from the stream.  Avoides a IndexOutOfRangeException
	on other runtimes.

2008-02-05  Mike Krüger <mkrueger@novell.com> 

	* WelcomePageFallbackWidget.cs: Fixed translation bug.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.addin.xml: Update MD version.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.addin.xml: Updated add-in category and description.

2008-01-11  Alexandre Miguel Pedro Gomes  <alexmipego@gmail.com>

	* WelcomePageView.cs: Check if WebException.Response is null before
	trying to use it.

2008-01-04  Michael Hutchinson  <mhutchinson@novell.com> 

	* WelcomePageView.cs:
	* WelcomePageFallbackWidget.cs:
	* WelcomePageBrowser.cs: Moved updating into another thread so we don't 
	  block MD's startup. Fix request.IfModifiedSince logic -- the MSDN docs 
	  sample seems to be wrong.

2008-01-04  Steve Y.  <grizlo42@gmail.com>

	* WelcomePageContent.xml: Added new set of links "News Links" for loading
	  online links
	* WelcomePageView.cs: Added function GetUpdatedXmlContent() to download
	  news.xml off server, combine with WelcomePageContent.xml, and return
	  and XmlDocument.
	* WelcomePageFallbackWidget.cs: Added to BuildFromXml () so that the widget
	  includes News links on the Welcome Page by loading them from the XML
	  returned from GetUpdatedXmlContent () or adding "No news has been found"
	  if the news.xml has no updates.
	* WelcomePage.xsl: Added test if no news links are found, display
	  "No news can be found"
	* WelcomePageBrowser.cs: Loads XML from function GetUpdatedXmlContent ()
	  instead of resource file.
	* gtk-gui/MonoDevelop.WelcomePage.WelcomePageFallbackWidget.cs:
	* gtk-gui/gui.stetic: Added GTK containers for displaying News Links section 
	  after Development Links.

2007-12-28  Paul Lange  <palango@gmx.de>

	* WelcomePageContent.xml: Fix 'Bug 350395 - Use of "New Project/Solution" 
	  terminology is inconsistent'.

2007-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePageBrowser.cs, WelcomePageFallbackWidget.cs, WelcomePageView.cs:
	  Moved Freedesktop.RecentFiles classes to MonoDevelop.Core.Gui namespace.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePageView.cs: Make sure the RecentProjectChanged event is handled in
	  the GUI thread.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.mdp: Updated project files. The order of extended properties
	  won't change anymore.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePageView.cs: Moved PlatformService to MD.Core.Gui. Removed old
	  FileIconService class, which is now implemented in PlatformService.

2007-12-12  Michael Hutchinson <mhutchinson@novell.com> 

	* WelcomePageFallbackWidget.cs: Set hover status message for links. Re-use
	  delegates where possible.
	* WelcomePageView.cs, WelcomePageBrowser.cs: Move link status code into
	  common class for the two welcome implementations.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.WelcomePage.WelcomePageFallbackWidget.cs,
	  gtk-gui/gui.stetic: Cosmetic fix.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.addin.xml: Bump add-in versions.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePageFallbackWidget.cs, WelcomePage.mdp, gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.WelcomePage.WelcomePageFallbackWidget.cs,
	  gtk-gui/gui.stetic: Make fonts bigger. Show url descriptions in the
	  button instead of a tooltip. Moved project table headers into the table,
	  to make sure they are properly aligned.

2007-12-06  Geoff Norton  <gnorton@novell.com>

	* WelcomePageView.cs: Use the PlatformService to get Mime information instead
	  of Gnome.Vfs directly

2007-12-05  Michael Hutchinson <mhutchinson@novell.com> 

	* WelcomePageFallbackWidget.cs: Correct background rendering order.
	* WelcomePageView.cs: Disable the HTML welcome page code path; the GTK#
	  version currently does everything and uses fewer resources. We can
	  re-enable it when the HTML version is worth using.
	* WelcomePageOptionPanel.cs: Enable option panel even when there is no
	  browser.

2007-12-05  Michael Hutchinson <mhutchinson@novell.com> 

	* mono-decoration.png, WelcomePageFallbackWidget.cs, mono-bg.png,
	  WelcomePageView.cs, WelcomePage.xsl, WelcomePageBrowser.cs,
	  WelcomePage.mdp, gtk-gui/generated.cs, gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.WelcomePage.WelcomePageFallbackWidget.cs,
	  gtk-gui/gui.stetic, Makefile.am, WelcomePageCommands.cs: New browserless
	  Welcome Page that activates when no IWebBrowser addin is available.
	  Changed theming mechanism slightly so browser and GTK# welcome pages
	  share as much as possible, including XML link definition file. Saves
	  almost 10MB of memory (though a lot of that was shared with Firefox
	  open).

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.mdp: Directory reorganization.

2007-12-03  Michael Hutchinson <mhutchinson@novell.com> 

	* WelcomePageView.cs: Use new LinkClicked event.

2007-12-03  Michael Hutchinson <mhutchinson@novell.com> 

	* WelcomePageView.cs: Second part of the fix for "Bug 345423 - project is
	  not a registered protocol".

2007-11-30  Michael Hutchinson <mhutchinson@novell.com> 

	* WelcomePageOptionPanel.cs, WelcomePageView.cs, WelcomePageCommands.cs: Use
	  abstracted BrowserService instead of GeckoSharp, so there's no longer a
	  hard dependency on a browser.

2007-11-12  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePageView.cs: Don't destroy the html control when disposing the
	  welcome page. Fixes bug #339590.

2007-11-10  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.css, WelcomePage.xsl: Cleanup. Removed many unused styles.
	  Align main table to the left.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.addin.xml: Bump MD version.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePageView.cs: Destroy the view widget when the view is disposed.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.mdp: Project file names updated by change in MD path
	  functions.

2007-09-26  Lluis Sanchez Gual <lluis@novell.com> 

	* mono-bg.png, mono-logo.png, WelcomePage.xsl: Updated logo.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.addin.xml: Bump MD version.

2007-09-20  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.addin.xml: Added an Other section in the MD property dialog
	  and moved some options there to avoid too many branches.

2007-09-04  Michael Hutchinson <MHutchinson@novell.com>

	* WelcomePageCommands.cs: Fix compiler warning.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* WelcomePageOptionPanel.cs, WelcomePageCommands.cs: Changes due to new
	  property infrastructure.

2007-08-31  Michael Hutchinson <m.j.hutchinson@gmail.com>

	* WelcomePageView.cs: Dispose resource streams, to avoid an exception in 
	  RecentChangesHandler that prevented opening projects.

2007-08-28  Mike Krüger <mkrueger@novell.com> 

	* WelcomePageView.cs, WelcomePageCommands.cs: Fixed 81660+82491: Crash when
	  opening the Welcome-Page manually.

2007-08-21  Mike Krüger <mkrueger@novell.com> 

	* WelcomePageView.cs: Fixed 82458: unable to open files that have a colon in
	  the path.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.mdp: Don't exclude the .addin file from the makefile.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePageView.cs: Removed the CommandService class. Everything is done
	  directly with CommandManager. Moved all extension node types to
	  MD.Components.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Yet another missing resource.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.addin.xml, WelcomePage.mdp, Makefile.am: Reorganized the
	  extension point hierarchy. Embedded all add-in manifests as resources.

2007-06-19  Mike Krüger <mkrueger@novell.com> 

	RecentItems now use the .NET classes for Uri and DateTime and hides some details of the freedesktop recent file management.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.mdp: Added ChangeLog file to project.

2007-05-21  Ankit Jain  <jankit@novell.com>

	* WelcomePageView.cs (CatchUri): Destroy dialog.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.mdp: Copy the .addins.xml file to the output dir.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.addin.xml: Migration to Mono.Addins.

2007-04-26  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.mdp: Don't copy referenced assemblies.

2007-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePageView.cs: Avoid start loading a project if one is already
	  being loaded.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.addin.xml: Change add-in versions to 0.13.
	* Makefile.am: Flush.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.mdp, Makefile.am: Synchronized the MD project and the
	  Makefile

2007-02-05  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePageView.cs: In the recent project list, show the project name
	  instead of the file name when available.

2007-01-29  Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePageCommands.cs: Track api changes in Document class.

2006-12-07 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* WelcomePage.mdp: Updated so the add-in can be
	built from MonoDevelop.

2006-12-01 Gideon de Swardt <gdeswardt@gmail.com>
	
	* WelcomePageView.cs: Added an Extension Object to the Xslt 
	  argument list that will allow xslt to call the GetString method during
	  the transformation process.
	* WelcomePage.xsl: Changed the xsl to use the GetString method to allow 
	  for localization
	* WelcomePageContent.xml: Added the xml document containing all the 
	  content strings.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* WelcomePage.mdp: Updated.
	* .: Added svn:ignore for WelcomePage.pidb.

2006-08-31 Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* WelcomePageView.cs: Win32 pathing fixes, and weird gecko#/win32 workaround.

2006-08-10  Scott Ellington  <scott.ellington@gmail.com>

	* WelcomePageView.cs: override StockIconId for home tab icon

2006-08-08  Scott Ellington  <scott.ellington@gmail.com>

	* WelcomePageView.cs: reload when recent solutions list changes

2006-08-08  Scott Ellington  <scott.ellington@gmail.com>

	* WelcomePage.xsl: provide better development links

2006-07-28 Matej Urbas <matej.urbas@gmail.com>

	* WelcomePageView.cs: Fixed the wrong assumption I made about languages.
	  The internationalized strings now use string formatting to allow better
	  translations for other languages.

2006-07-28 Matej Urbas <matej.urbas@gmail.com>

	* WelcomePageView.cs: Added i18n support for the title and a small part of
	  the contents.

2006-07-28  Scott Ellington  <scott.ellington@gmail.com>

	* WelcomePageView.cs: 
	convert project's URI to local path (fixes 78579)

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* WelcomePage.addin.xml: Updated versions.

2006-06-08 Matej Urbas <matej.urbas@gmail.com>

	* WelcomePageView.cs: Made the Welcome page ViewOnly.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* WelcomePage.addin.xml: Updated versions.
	* WelcomePage.mdp: Updated.

2006-04-04 Lluis Sanchez Gual <lluis@novell.com> 

	* WelcomePage.xsl: Removed cshrp.net.

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am:
	* WelcomePage.addin.xml: Updated references.

2006-03-29 Grzegorz Sobanski  <silk@boktor.net>  

	* Makefile.am: removed unneeded references to nunit.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* Makefile.am: Use an unified format. Patch by Matze Braun.
	* WelcomePage.addin.xml: Updated add-in versions.

2005-12-13  David MakovskA <yakeen@sannyas-on.net>

	* WelcomePageView.cs:
	Show uri of project or web link in status bar when mouse over link
	
2005-11-29  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* WelcomePage.xsl:
	Added tooltips for recent projects.

2005-11-16  Lluis Sanchez Gual  <lluis@novell.com> 

	Added WelcomePage addin, by Scott Ellington.

